%define anolis_release 1
Name:           libnice
Version:        0.1.18
Release:        %{anolis_release}%{?dist}
Summary:        GLib ICE implementation

License:        LGPLv2 and MPLv1.1
URL:            https://nice.freedesktop.org/wiki/
Source0:        https://nice.freedesktop.org/releases/%{name}-%{version}.tar.gz

BuildRequires:  glib2-devel
BuildRequires:  gnutls-devel >= 2.12.0
BuildRequires:  gobject-introspection-devel
BuildRequires:  gstreamer1-devel >= 0.11.91
BuildRequires:  gstreamer1-plugins-base-devel >= 0.11.91
BuildRequires:  gupnp-igd-devel >= 0.1.2
BuildRequires:  gtk-doc
BuildRequires:  graphviz
BuildRequires:  meson


%description
%{name} is an implementation of the IETF draft Interactive Connectivity
Establishment standard (ICE). ICE is useful for applications that want to
establish peer-to-peer UDP data streams. It automates the process of traversing
NATs and provides security against some attacks. Existing standards that use
ICE include the Session Initiation Protocol (SIP) and Jingle, XMPP extension
for audio/video calls.


%package        gstreamer1
Summary:        GStreamer plugin for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    gstreamer1
The %{name}-gstreamer1 package contains a gstreamer 1.0 plugin for %{name}.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       glib2-devel
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

# disable tests that don't work in koji environment
sed \
    -e "s/^  'test-set-port-range'/#&/" \
    -i tests/meson.build

%build
%meson -D gtk_doc=enabled
%meson_build


%install
%meson_install


%check
%meson_test


%ldconfig_scriptlets


%files
%doc NEWS README
%license COPYING COPYING.LGPL COPYING.MPL
%{_bindir}/stunbdc
%{_bindir}/stund
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/Nice-0.1.typelib


%files gstreamer1
%{_libdir}/gstreamer-1.0/libgstnice.so


%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/nice.pc
%{_datadir}/gtk-doc/html/%{name}/
%{_datadir}/gir-1.0/Nice-0.1.gir


%changelog
* Wed Apr 06 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.1.18-1
- Init from upstream version 0.1.18

